<?php

$Permissoes = User::getUser(true);

if ($Permissoes->FUN_TBL_PROJETOS == 1) {

    class ProjetosController extends GxController {

        var $help = 'Esta é a ajuda';

        public function actionView($id) {
            $this->render('view', array(
                'model' => $this->loadModel($id, 'Projetos'),
            ));
        }

        public function actionCreate() {
            $model = new Projetos;


            if (isset($_POST['Projetos'])) {
                $model->setAttributes($_POST['Projetos']);

                if ($model->save()) {
                    if (Yii::app()->getRequest()->getIsAjaxRequest())
                        Yii::app()->end();
                    else
                        $this->redirect(array('view', 'id' => $model->PRO_IDPROJETO));
                }
            }

            $this->render('create', array('model' => $model));
        }

        public function actionUpdate($id) {
            $model = $this->loadModel($id, 'Projetos');


            if (isset($_POST['Projetos'])) {
                $model->setAttributes($_POST['Projetos']);

                if ($model->save()) {
                    $this->redirect(array('view', 'id' => $model->PRO_IDPROJETO));
                }
            }

            $this->render('update', array(
                'model' => $model,
            ));
        }

        public function actionDelete($id) {
            if (Yii::app()->getRequest()->getIsPostRequest()) {
                $this->loadModel($id, 'Projetos')->delete();

                if (!Yii::app()->getRequest()->getIsAjaxRequest())
                    $this->redirect(array('admin'));
            } else
                throw new CHttpException(400, 'Sua solicitação é inválida.');
        }

        public function actionAdmin() {
            $model = new Projetos('search');
            $model->unsetAttributes();

            if (isset($_GET['Projetos']))
                $model->setAttributes($_GET['Projetos']);

            $this->render('admin', array(
                'model' => $model,
            ));
        }

        public function actionDynamicFormularios() {
            $data = FormulariosProjetos::model()->findAll('FRP_IDPROJETO = :FRP_IDPROJETO', array(':FRP_IDPROJETO' => (int) $_POST['Solicitacoes']['SOL_IDPROJETO']), 'FRP_IDFORMULARIO', 'CodDesc');
            $data = CHtml::listData($data, 'FRP_IDFORMULARIO', 'CodDesc');
            natcasesort($data);
            echo CHtml::tag('option', array('value' => ''), 'Selecione');
            foreach ($data as $value => $FORMULARIO) {
                echo CHtml::tag('option', array('value' => $value), CHtml::encode($FORMULARIO), true);
            }
        }

    }

} else {

    class ProjetosController extends GxController {

        public function actionDynamicFormularios() {
            $data = FormulariosProjetos::model()->findAll('FRP_IDPROJETO = :FRP_IDPROJETO', array(':FRP_IDPROJETO' => (int) $_POST['Solicitacoes']['SOL_IDPROJETO']), 'FRP_IDFORMULARIO', 'CodDesc');
            $data = CHtml::listData($data, 'FRP_IDFORMULARIO', 'CodDesc');
            natcasesort($data);
            echo CHtml::tag('option', array('value' => ''), 'Selecione');
            foreach ($data as $value => $FORMULARIO) {
                echo CHtml::tag('option', array('value' => $value), CHtml::encode($FORMULARIO), true);
            }
        }

    }

}